package com.jpsoft.shinestar.modules.sys.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.sys.entity.Permission;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface PermissionService {
	Permission get(String id);
	boolean exist(String path, String method);
	int insert(Permission model);
	int update(Permission model);
	int delete(String id);
	List<Permission> list();
	Page<Permission> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,List<Sort> sortList);

    boolean hasPermitted(String userId, String path, String method);
}